# Copyright (c) 2017  University of Houston

RSYSLOGCONF = """
module(load="imuxsock") # local message reception
$WorkDirectory %(work-dir)s

*.* action(type="omfwd" protocol="udp" Target="%(syslog-ip)s" Port="514")
"""

RSYSLOGFILECONF = """
module(load="imfile")
$WorkDirectory %(work-dir)s

input(type="imfile"
      File="%(file-path)s"
      Tag="%(msg-tag)s")

*.* action(type="omfwd" protocol="udp" Target="%(syslog-ip)s" Port="514")
"""

def findvol (handler, name):
  hvol = None
  for vol in handler.container._vols:
    if vol.cpath == name:
      hvol = vol
      break
  return hvol
